## com.lowagie.text.xml.xmp
Class PdfSchema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.PdfSchema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class PdfSchema

extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `DEFAULT_XPATH_ID` default namespace identifier
`static java.lang.String` `DEFAULT_XPATH_URI` default namespace uri
`static java.lang.String` `KEYWORDS` Keywords.
`static java.lang.String` `PRODUCER` The Producer.
`private static long` `serialVersionUID`
`static java.lang.String` `VERSION` The PDF file version (for example: 1.0, 1.3, and so on).

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`PdfSchema()`

Method Summary
`void` `addKeywords(java.lang.String keywords)` Adds keywords.
`void` `addProducer(java.lang.String producer)` Adds the producer.
`void` `addVersion(java.lang.String version)` Adds the version.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, loadFromXML, propertyNames, save, store, storeToXML, storeToXML`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### DEFAULT_XPATH_ID

    public static final java.lang.String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final java.lang.String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### KEYWORDS

    public static final java.lang.String KEYWORDS

  Keywords.

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  The PDF file version (for example: 1.0, 1.3, and so on).

  See Also:
    Constant Field Values

### PRODUCER

    public static final java.lang.String PRODUCER

  The Producer.

  See Also:
    Constant Field Values

Constructor Detail

### PdfSchema

    public PdfSchema()
              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### addKeywords

    public void addKeywords(java.lang.String keywords)

  Adds keywords.

  Parameters:
    `keywords` -

### addProducer

    public void addProducer(java.lang.String producer)

  Adds the producer.

  Parameters:
    `producer` -

### addVersion

    public void addVersion(java.lang.String version)

  Adds the version.

  Parameters:
    `version` -